
#include "icons.h"
#include <iostream.h>
#include <stdio.h>

menu_icon::menu_icon(Display *display, Window window, char *filename)
{
  int i,l;
  
  static Colormap PictureCMap;
  XWindowAttributes root_attr;
  XGetWindowAttributes(display, window, &root_attr);
  PictureCMap=root_attr.colormap;
  char *path;

// ScreenInfo Scr;  /* Try to load it as an X Pixmap first */
  /*if(!(path=findIconFile(filename, "/usr/X11R6/include/X11/3dpixmaps/small", R_OK)))
    if(!(path=findIconFile(filename,IconPath,R_OK)))
      return NULL;*/

  path = new char [strlen("/usr/X11R6/include/X11/3dpixmaps/small/") +
              strlen(filename) + 1];
  
  sprintf(path, "/usr/X11R6/include/X11/3dpixmaps/small/%s", filename);
      
  xpm_attributes.colormap=PictureCMap;
  xpm_attributes.closeness=40000; /* Allow for "similar" colors */
  xpm_attributes.valuemask=
    XpmSize | XpmReturnPixels | XpmColormap | XpmCloseness;
  
    if(XpmReadFileToPixmap(display, window, path, &icon, &mask, &xpm_attributes)
     == XpmSuccess) 
    { 
      width = xpm_attributes.width;
      height = xpm_attributes.height;
      depth = DefaultDepthOfScreen(DefaultScreenOfDisplay(display));
// cout << path << " Pixmap .....\n";
    }
    
   // If no XPM support, or XPM loading failed, try bitmap 
  /*if(XReadBitmapFile(display, window, path, &width, &height, &icon, &l, &l)
     == BitmapSuccess)
    {
      depth = 0;
      mask = None;
cout << path << " Bitmap .....\n";
    }*/

}
